Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.Rss20Writer

    Object
       |
       +--jala.XmlWriter
             |
             +--jala.Rss20Writer

Direct Known Subclasses:
  jala.PodcastWriter

class jala.Rss20Writer
extends jala.XmlWriter

Class to create, modify and render standard-compliant RSS 2.0 feeds.
Defined in Rss20Writer.js

Constructor Summary
`jala.Rss20Writer (<String> header)`

Method Summary
`void` | `addCategory(<String> name, <String> domain, <jala.XmlWriter.XmlElement> parent)` Add a category element to an arbitrary element.
`void` | `addItem(<jala.XmlWriter.XmlElement> item)` Add an item element to the channel element.
`jala.XmlWriter.XmlElement` | `createItem(<Object> data)` Get a new and innocent item element.
`void` | `extendChannel(<Array> ext)` Add child elements to the channel template.
`void` | `extendItem(<Array> ext)` Add child elements to the item template.
`jala.XmlWriter.XmlElement` | `getChannel()` Get the writer's channel element.
`jala.XmlWriter.XmlElement` | `getRoot()` Get the writer's root element.
`jala.XmlWriter.XmlElement` | `setChannel(<Object> data)` Populate the channel element with data.
`void` | `setImage(<Object> data)` Populate the image element with data.
`void` | `setTextInput(<Object> data)` Populate the textInput element with data.

Methods inherited from class jala.XmlWriter
`createElement, extend, addNamespace, write, toString, clone`

Constructor Detail

### jala.Rss20Writer

    jala.Rss20Writer(<String> header)

Parameters:

`header` - Optional XML header.

Method Detail

### addCategory

    void addCategory(<String> name, <String> domain, <jala.XmlWriter.XmlElement> parent)

Add a category element to an arbitrary element.

Parameters:

`name` - The name of the category.

`domain` - The domain of the category.

`parent` - The optional parent element.

### addItem

    void addItem(<jala.XmlWriter.XmlElement> item)

Add an item element to the channel element.

Parameters:

`item` - The item element to add.

### createItem

    jala.XmlWriter.XmlElement createItem(<Object> data)

Get a new and innocent item element.

Parameters:

`data` - An XmlWriter-compliant object structure.

Returns:

A new and innocent item element.

### extendChannel

    void extendChannel(<Array> ext)

Add child elements to the channel template.

Parameters:

`ext` - List of additional child elements.

### extendItem

    void extendItem(<Array> ext)

Add child elements to the item template.

Parameters:

`ext` - List of additional child elements.

### getChannel

    jala.XmlWriter.XmlElement getChannel()

Get the writer's channel element.

Returns:

The writer's channel element.

### getRoot

    jala.XmlWriter.XmlElement getRoot()

Get the writer's root element.

Returns:

The writer's root element.

### setChannel

    jala.XmlWriter.XmlElement setChannel(<Object> data)

Populate the channel element with data.

Parameters:

`data` - An XmlWriter-compliant object structure.

Returns:

The populated channel element.

### setImage

    void setImage(<Object> data)

Populate the image element with data.

Parameters:

`data` - An XmlWriter-compliant object structure.

### setTextInput

    void setTextInput(<Object> data)

Populate the textInput element with data.

Parameters:

`data` - An XmlWriter-compliant object structure.

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008